> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/8.9/analyzing-source-code/importing-external-issues/importing-third-party-issues.md).

# Importing third-party issues

This page lists SonarQube Server 8.9 analysis parameters related to the import of issues raised by external, third-party analyzers.

{% hint style="info" %}
**For AI agents:** You're in the SonarQube Server 8.9 documentation. For a list of all 8.9 pages, see the [SonarQube Server 8.9 page index](https://4108688904-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FG0n8jfxwZN8LmyH08dMa%2Fuploads%2F8WN59Z2YOHCj6T8O2i2L%2Fsonarqube-server-8.9-llms.txt?alt=media). For the whole site, see the [page index](https://docs.sonarsource.com/llms.txt) or the [full text](https://docs.sonarsource.com/llms-full.txt). For another version, replace 8.9 in the URL with that version. The [latest version](https://docs.sonarsource.com/sonarqube-server/) has no version number in its URL.
{% endhint %}

This page lists analysis parameters related to the import of issues raised by external, third-party analyzers. If your analyzer isn’t on this page, see the [Generic issue import format](/sonarqube-server/8.9/analyzing-source-code/importing-external-issues/generic-issue-import-format.md) for a generic way to import external issues.

SonarQube Server doesn’t run your external analyzers or generate reports. It only imports pre-generated reports. Below you’ll find language- and tool-specific analysis parameters for importing reports generated by external analyzers.

In the [guides](https://community.sonarsource.com/c/announce/guides) category of the [SonarSource community forum](https://community.sonarsource.com/) you might find instructions on generating these reports.

Some properties support the following wildcards in paths. The remarks for properties that support wildcards will mention that fact. If the remarks do not say wildcards are supported, then they are not.:

| **Symbol** | **Meaning**               |
| ---------- | ------------------------- |
| `?`        | a single character        |
| `*`        | any number of characters  |
| `**`       | any number of directories |

Unless otherwise specified, the following properties accept both absolute paths and paths relative to the project root.

| **Language** | **Property**                          | **Remarks**                                                                                                                                                                   |
| ------------ | ------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Apex         | `sonar.apex.pmd.reportPaths`          | Comma-delimited list of paths to [PMD Apex](https://pmd.sourceforge.io/pmd-5.5.7/pmd-apex/rules/index.html)                                                                   |
| CSS          | `sonar.css.stylelint.reportPaths`     | Comma-delimited list of paths to [StyleLint.io](https://stylelint.io/) reports                                                                                                |
| Go           | `sonar.go.govet.reportPaths`          | Comma-delimited list of paths to [GoVet](https://golang.org/cmd/vet/) reports                                                                                                 |
| Go           | `sonar.go.golint.reportPaths`         | Comma-delimited list of paths to [GoLint](https://github.com/golang/lint) reports                                                                                             |
| Go           | `sonar.go.gometalinter.reportPaths`   | Comma-delimited list of paths to [GoMetaLinter](https://github.com/alecthomas/gometalinter) reports                                                                           |
| Go           | `sonar.go.golangci-lint.reportPaths`  | Comma-delimited list of paths to [golangci-lint](https://github.com/golangci/golangci-lint) reports in checkstyle format (use `--out-format checkstyle` golangci-lint option) |
| Java         | `sonar.java.spotbugs.reportPaths`     | Comma-delimited list of paths to reports from [SpotBugs](https://spotbugs.github.io/), FindSecBugs, or FindBugs                                                               |
| Java         | `sonar.java.pmd.reportPaths`          | Comma-delimited list of paths to reports from [PMD](http://maven.apache.org/plugins/maven-pmd-plugin/usage.html)                                                              |
| Java         | `sonar.java.checkstyle.reportPaths`   | Comma-delimited list of paths to reports from [Checkstyle](http://maven.apache.org/plugins/maven-checkstyle-plugin/checkstyle-mojo)                                           |
| JavaScript   | `sonar.eslint.reportPaths`            | Comma-delimited list of paths to JSON [ESLint](https://eslint.org/) reports (use `-f json` ESLint option)                                                                     |
| Kotlin       | `sonar.androidLint.reportPaths`       | Comma-delimited list of paths to AndroidLint reports                                                                                                                          |
| Kotlin       | `sonar.kotlin.detekt.reportPaths`     | Comma-delimited list of paths to [Detekt](https://github.com/arturbosch/detekt) reports                                                                                       |
| Python       | `sonar.python.pylint.reportPaths`     | Comma-delimited list of paths to [Pylint](http://www.pylint.org/) reports (use `--output-format=parseable`[Pylint option](https://docs.pylint.org/en/1.6.0/output.html))      |
| Python       | `sonar.python.bandit.reportPaths`     | Comma-delimited list of paths to [Bandit](https://github.com/PyCQA/bandit/blob/master/README.rst) reports                                                                     |
| Python       | `sonar.python.flake8.reportPaths`     | Comma-delimited list of paths to [Flake8](https://flake8.pycqa.org/en/latest/) reports                                                                                        |
| Ruby         | `sonar.ruby.rubocop.reportPaths`      | Comma-delimited list of paths to [Rubocop](https://github.com/rubocop-hq/rubocop) reports                                                                                     |
| Scala        | `sonar.scala.scalastyle.reportPaths`  | Comma-delimited list of paths to [Scalastyle](http://www.scalastyle.org/) reports                                                                                             |
| Scala        | `sonar.scala.scapegoat.reportPaths`   | Comma-delimited list of paths to [Scapegoat](https://github.com/sksamuel/scapegoat) reports in the **Scalastyle format**                                                      |
| Swift        | `sonar.swift.swiftLint.reportPaths`   | Comma-delimited list of paths to [SwiftLint](https://github.com/realm/SwiftLint) reports in JSON format                                                                       |
| TypeScript   | `sonar.typescript.tslint.reportPaths` | Comma-delimited list of paths to [TSLint](https://palantir.github.io/tslint/) reports in JSON format (use `-t json` TSLint option)                                            |

**Notes on external .NET issues**\
Issues from third-party Roslyn analyzers (including Roslyn analyzers provided by Microsoft) are included in the MSBuild output and imported by default into SonarQube Server so no properties exist to enable that behavior. Instead, properties are available to adjust the import and to *stop* importing those issues.

Note that Roslyn issues with an *error* severity automatically fail the build. We don’t recommend running the Scanner for MSBuild’s end step if the MSBuild step fails for any reason because it will result in an essentially empty analysis.

| **Language** | **Property**                                                                                                           | **Remarks**                                                                                                    |
| ------------ | ---------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| C#           | `sonar.cs.roslyn.ignoreIssues`                                                                                         | Set to `true` to disable import of external issues. Defaults to `false`.                                       |
| C#           | `sonar.cs.roslyn.bugCategories``sonar.cs.roslyn.vulnerabilityCategories``sonar.cs.roslyn.codeSmellCategories`          | Comma-delimited list of categories whose issues should be classified as Bugs, Vulnerabilities, or Code Smells. |
| VB.NET       | `sonar.vbnet.roslyn.ignoreIssues`                                                                                      | Set to `true` to disable import of external issues. Defaults to `false`.                                       |
| VB.NET       | `sonar.vbnet.roslyn.bugCategories``sonar.vbnet.roslyn.vulnerabilityCategories``sonar.vbnet.roslyn.codeSmellCategories` | Comma-delimited list of categories whose issues should be classified as Bugs, Vulnerabilities, or Code Smells. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/8.9/analyzing-source-code/importing-external-issues/importing-third-party-issues.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
